# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-anyvc
%global srcname anyvc

Name:           python-module-anyvc
Version:        0.3.7.1
Release:        alt1_3
Summary:        Python library to access different version control system

Group:          Development/Python
License:        GPLv2+
URL:            http://pypi.python.org/pypi/anyvc
Source0:        http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-apipkg
BuildRequires:  python-module-pytest
BuildRequires:  python-module-dulwich
BuildRequires:  mercurial
BuildRequires:  python-module-subvertpy
BuildRequires:  python-module-execnet
#BuildRequires:  python-sphinx
BuildRequires:  python-module-hgdistver

Requires:       mercurial
Source44: import.info

%description
Anyvc is an abstraction library for different kind of version control 
systems. Although primarily a library, there is a command line tool (vc)
to use with it.

%prep
%setup -q -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info

%build
%{__python} setup.py build
#sphinx-build docs/. html
## Remove sphinx stuff because rpmlint is complaining
#rm html/.buildinfo
#rm -rf html/.doctrees

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%files
#%doc html/
%{_bindir}/vc
%{python_sitelibdir_noarch}/%{srcname}/
%{python_sitelibdir_noarch}/%{srcname}*.egg-info

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.7.1-alt1_3
- update to new release by fcimport

* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.7.1-alt1_2
- initial fc import

